<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript Objects</title>
</head>

<body>
    <script>
        // Ex 19
        let arcoVara = new Object();
        arcoVara.id = 1;
        arcoVara.name = "Arco Vara";
        arcoVara.logo = "https://www.nasdaqbaltic.com/market/logo.php?issuer=ARC";
        arcoVara.established = "1994-07-04";
        arcoVara.employees = 20;
        arcoVara.revenue = 3640000;
        arcoVara.netIncome = -540000;
        arcoVara.securities = 8998367;
        arcoVara.securityPrice = 1.09;
        arcoVara.dividends = 0.01;
        arcoVara.marketCapitalization = 9808220.03;
        arcoVara.dividendYield = 0.01;
        console.log(arcoVara);

        // Ex 20
        let baltika = {
            id: 2,
            "name": "Baltika",
            "logo": "https://www.nasdaqbaltic.com/market/logo.php?issuer=BLT",
            "established": "1997-05-09",
            "employees": 946,
            "revenue": 44690000,
            "netIncome": -5120000,
            securities: 4079485,
            "securityPrice": 0.32,
            "dividends": 0,
            "marketCapitalization": 1305435.2,
            "dividendYield": null
        };
        console.log(baltika);

        // Ex 21
        class Company {
            // #companyMetadata = null;
            constructor(id, name, logo, established, employees) {
                this.id = id;
                this.name = name;
                this.logo = logo;
                this.established = established;
                this.employees = employees;
                // this.#companyMetadata = 'Company MetaData!';
            }

            // get metadata() {
            //     return this.#companyMetadata;
            // }
        }

        let ekspressGrupp = new Company(
            3, 'Ekspress Grupp',
            'https://www.nasdaqbaltic.com/market/logo.php?issuer=EEG',
            new Date('1997-05-09'), 946);
        console.log(ekspressGrupp);

        let myCoolObject = {
            "property1": "tere",
            "property2": 123,
            "property3": "123",
            "property4": true,
            "property5": "true",
            "property6": {
                "mySubProperty1": "lalala",
                "mySubProeprtyList1": [
                    {
                        "prop123": 123,
                        "prop124": "tere"
                    },
                    {
                        "prop123": 123,
                        "prop124": "tere"
                    }
                ]
            }
        };
        console.log(myCoolObject);
        let myStringifiedCoolObject = JSON.stringify(myCoolObject);
        console.log(myStringifiedCoolObject);
        let myCoolObject2 = JSON.parse(myStringifiedCoolObject);
        console.log(myCoolObject2);
    </script>
</body>

</html>